Questão Erro de montagem: “tipo de sistema de arquivos desconhecido 'exfat'”


Ao tentar montar um sistema de arquivos exfat, recebo o seguinte erro:

Error mounting /dev/sda6 at /media/gkp/Backup: Command-line 
`mount -t "exfat" -o "uhelper=udisks2,nodev,nosuid" "/dev/sda6" "/media/gkp/Backup"' 
exited with non-zero exit status 32: mount: unknown filesystem type 'exfat'

O Exfat é usado em alguns cartões USB e cartões SD da câmera. O que posso fazer para montar esse tipo de sistema de arquivos?


261
2017-10-23 08:57


origem


Por favor, forneça a versão do Ubuntu que você está usando. Como você pode ver, há mais de uma resposta para o Ubuntu. - Rinzwind
Veja também askubuntu.com/a/85459/20972 (especialmente para 13.10) - rogerdpack
O Ubuntu 14.04 está fazendo isso. - SDsolar
No meu caso, eu também precisei adicionar o repositório universe: sudo add-apt-repository universe  sudo apt-get update - Ben Creasy


Respostas:


Você obtém este erro porque o sistema de arquivos exfat não está instalado no Ubuntu por padrão. O exFAT é proprietário e patenteado pela Microsoft.

Ubuntu 13.10 ou superior

Desde o Ubuntu 13.10, este pacote está no repositório principal. Basta instalar exfat-fuse e exfat-utils:

sudo apt-get install exfat-fuse exfat-utils

Ubuntu 12.04

Para o Ubuntu 13.04 e inferior, você precisará de um ppa para instalar o exfat Apoio, suporte. Procedimento de instalação:

sudo apt-add-repository ppa:relan/exfat
sudo apt-get update
sudo apt-get install fuse-exfat

Se você vir o erro gpg: "tag:launchpad.net:2008:redacted" not a key ID: skipping durante o apt-add-repository passo, então você precisará instalar manualmente a chave de assinatura e executar o apt-get update e apt-get install passos depois disso:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 4DF9B28CA252A784

Detalhes


395
2017-10-23 10:21



parece que para 13.10 você nem precisa do ppa é apenas sudo apt-get install exfat-fuse ref: askubuntu.com/a/85459/20972 - rogerdpack
:) e depois sudo ntfsfix / dev / sdb1 me ajuda a montar. espere alguns segundos para que pudesse montar. - CoDe
+1. No Ubuntu 14.04, nenhum PPA é necessário. Eu fui capaz de sudo apt-get install exfat-fuse e, após a instalação, meu SD CARD de 64GB montado assim que eu o conectei. - Drew Noakes
Ele funciona no Ubuntu 15.10 também! - Luis Lobo Borobia
sudo apt-get install exfat-fuse exfat-utils Funciona em 16.04! - Cat